local Options = KiwiPlatesOptions

Options:RegisterModuleOptions( 'TargetIcon', {

	opaqueRaidIcons = {
		type = 'toggle',
		width = 'full',		
		order = 10,
		name = 'Opaque Raid Target Icons',
		desc = "Nameplates with raid target icons becomes opaque",
		get = function(info) 
			local db = info.handler.theme.TargetIcon
			return db and db.opaqueRaidIcons
		end,
		set = function(info, value)	
			local db = info.handler.theme.TargetIcon or {}
			db.opaqueRaidIcons = value or nil
			info.handler.theme.TargetIcon = db
			info.handler:OnChange(info)	
		end		
	},

}, { order = 30 }  )

Options:RegisterModuleDefaults( 'TargetIcon', { __ALWAYS_ENABLED = true } )
