local Options = KiwiPlatesOptions

local options = {}

options.header1 = { type = 'header', name = 'Threat', order= 0 }

options.bringToFront = {
	type = 'toggle',
	width = 'full',
	name = 'Opaque plates',
	desc = 'Non threat plates opaque for tanks. Threat plates opaque for dps or healers.',
	order = 1
}

options.offtankEnabled = {
	type = 'toggle',
	width = 'full',
	name = 'Display offtanks threat',
	desc = 'Monitorize and display another tanks threat',
	order = 2
}

options.header2 = { type = 'header', name = 'Threat Colors', order= 5 }

Options:MakeColorsGroupOptions(50, nil, { 'tanked', 'aggroed', 'offtanked' }, options)

Options:MakeColorReceiversOptions(options)

Options:RegisterModuleOptions( 'Threat', options, { order = 90 }  )

Options:RegisterModuleDefaults( 'Threat', {
	colors = KiwiPlates.defaults.colors.Threat,
	colorReceivers = {},
	colorPriority = 9,
})
