
local defaults = KiwiPlates.defaults
local FONT     = defaults.fonts.STANDARD

KiwiPlates:RegisterTheme( 'Basic', {
	Plate = {
		alpha = 0.5,
	},
	Skins = { { 'Basic.TextOnly' } },
	Reaction = {
		enabled = true,
		npcColorize    = "reaction",
		playerColorize = "reaction",
		colors = defaults.colors.Reaction,
		colorReceivers = { 'NameText' },
		colorPriority = 1,		
	},
	Target = {
		opaqueWhenNoTarget = true,
	},
	Mouseover = {
		alpha = 1,
	},	
} )

KiwiPlates:RegisterSkin( 'Basic.TextOnly' , {
	Plate = {
		width  = 100, height =  20,
	},
	NameText = {
		acceptColors = true,
		left = 0, top =	-25, width = 150, height = 20,
		fontName = FONT,
		fontColor = { 1,1,1,1 },
		fontSize =  10,
		fontFlags = 'OUTLINE',
		JustifyH = 'CENTER',
		JustifyV = 'BOTTOM',
	},
	TargetIcon = {
		left = 0, top = 15, width = 22, height = 22,
	},	
} )

KiwiPlates:RegisterSkin( 'Basic.Empty' , {
	Plate = {
		width  = 1, height =  1,
	},
	TargetIcon = {
		left = 0, top = 0, width = 22, height = 22,
	},
} )
